export type RgbTuple = [number, number, number];

export interface ImageMetadata {
  width?: number;
  height?: number;
  palette?: RgbTuple[];
}

export const DEFAULT_PALETTE_COLOR_COUNT = 8 as const;

export interface GetImageMetadataOptions {
  paletteColorCount?: number;
}
