import type { AppProps } from 'next/app'
import { MDXProvider } from '@mdx-js/react'

const COMPONENTS = {};

const App = ({ Component, pageProps }: AppProps) => {
  return (
    <MDXProvider
      components={COMPONENTS}
    >
      <Component {...pageProps} />
    </MDXProvider>
  )
};

export default App;
